Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class FormattedDiskPage

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.FormattedDiskPage

Direct Known Subclasses:
  CHPFormattedDiskPage, PAPFormattedDiskPage

    public abstract class FormattedDiskPage

extends java.lang.Object

Represents an FKP data structure. This data structure is used to store the grpprls of the paragraph and character properties of the document. A grpprl is a list of sprms(decompression operations) to perform on a parent style. The style properties for paragraph and character runs are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps for character run properties. The first part of the fkp for both CHP and PAP fkps consists of an array of 4 byte int offsets in the main stream for that Paragraph's or Character run's text. The ending offset is the next value in the array. For example, if an fkp has X number of Paragraph's stored in it then there are (x + 1) 4 byte ints in the beginning array. The number X is determined by the last byte in a 512 byte fkp. CHP and PAP fkps also store the compressed styles(grpprl) that correspond to the offsets on the front of the fkp. The offset of the grpprls is determined differently for CHP fkps and PAP fkps.

Author:
  Ryan Ackley

Constructor Summary
`FormattedDiskPage(byte[] fkp)` Uses a 512-byte array to create a FKP

Method Summary
`int` | `getEnd(int index)` Used to get the end of the text corresponding to a grpprl in this fkp.
`abstract byte[]` | `getGrpprl(int index)`
`int` | `getStart(int index)` Used to get a text offset corresponding to a grpprl in this fkp.
`int` | `size()` Used to get the total number of grrprl's stored int this FKP

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattedDiskPage

    public FormattedDiskPage(byte[] fkp)

  Uses a 512-byte array to create a FKP

Method Detail

### getStart

    public int getStart(int index)

  Used to get a text offset corresponding to a grpprl in this fkp.

  Parameters:
    `index` - The index of the property in this FKP
  Returns:
    an int representing an offset in the "WordDocument" stream

### getEnd

    public int getEnd(int index)

  Used to get the end of the text corresponding to a grpprl in this fkp.

  Parameters:
    `index` - The index of the property in this fkp.
  Returns:
    an int representing an offset in the "WordDocument" stream

### size

    public int size()

  Used to get the total number of grrprl's stored int this FKP

  Returns:
    The number of grpprls in this FKP

### getGrpprl

    public abstract byte[] getGrpprl(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD